### Name: shp2SLDF
### Title: Converter functions to build SpatialLinesDataFrame objects
### Aliases: shp2SLDF arcobj2SLDF contourLines2SLDF Mapgen2SL
###   plotSpatialLines
### Keywords: spatial

### ** Examples

data(lnsshp) # retrieved as: 
# library(maptools)
# lns <- read.shape(system.file("shapes/fylk-val.shp", package="maptools")[1])
res <- shp2SLDF(lns)
plot(res)
invisible(title(""))
data(co37_d90_arc) # retrieved as: 
# library(RArcInfo)
# fl <- "http://www.census.gov/geo/cob/bdy/co/co90e00/co37_d90_e00.zip"
# download.file(fl, "co37_d90_e00.zip")
# e00 <- zip.file.extract("co37_d90.e00", "co37_d90_e00.zip")
# e00toavc(e00, "ncar")
# arc <- get.arcdata(".", "ncar")
res <- arcobj2SLDF(arc)
plot(res)
invisible(title(""))
res <- contourLines2SLDF(contourLines(volcano))
plot(res, col=terrain.colors(nrow(res@data)))
invisible(title(""))



